curl --request GET \
--url https://api.lynkwell.com/asset-management/v1/charging-station-models/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/asset-management/v1/charging-station-models/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/asset-management/v1/charging-station-models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"vendor": "<string>",
"model": "<string>",
"powerType": "AC_1_PHASE",
"connectors": [
{
"id": 123,
"connectionType": "CHADEMO",
"format": "CABLE",
"maxAmperage": 123,
"maxVoltage": 123,
"maxPowerWatts": 123
}
],
"configurationKeys": {
"ocppUrl": "<string>"
},
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"imageUrl": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Get a charging station model by ID
This endpoint retrieves a charging station model by its ID.
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the charging station model to retrieve
Response
Success
A charging station model defines hardware specifications for a specific vendor/model combination
Unique identifier for the charging station model
The vendor/manufacturer of the charging station
The model name of the charging station
The power type of the charging station
AC_1_PHASE, AC_3_PHASE, DC List of connectors available on this charging station model
Show child attributes
Show child attributes
Configuration keys for the charging station model
Show child attributes
Show child attributes
Whether this model has been archived
Timestamp when the model was created
Timestamp when the model was last updated
A user-friendly display name for the model
URL to an image of the charging station model